# Checkmarx SCA Extension for Visual Studio Code

## Overview
The Checkmarx SCA Extension for VS Code enables users to initiate SCA scans directly from their VS Code console, and shows detailed results as soon as the scan is completed. The scan identifies the open-source dependencies used in your code and indicates the security risks associated with those packages. The identified packages are shown in a tree structure with an indication of the risk level for each package. You can drill down to show the specific vulnerabilities associated with a package.

## Main Features
- Free tool, no Checkmarx account required
- Run scans directly from your IDE
- View actionable results in your IDE, indicating which of your open-source packages are at risk

## Prerequisites
You need to install all relevant package managers on your local environment, see   [Installing Supported Package Managers for Resolver](https://checkmarx.atlassian.net/wiki/spaces/CD/pages/1975713967/Installing+Supported+Package+Managers+for+Resolver)

## Configuring the Extension (Optional)

The extension is activated automatically upon installation and no configuration is required. 

If you would like to customize the scan settings, you can use the following procedure:

1. In the VS Code console, click on the Manage (cog) icon and go to Settings > Extensions > Checkmarx > Checkmarx SCA.

2. By default the extension is configured to run SCA scans on our US environment. If you would like to change the settings to run scans on our EU environment, in the API URL field, enter eu.api-sca.checkmarx.net. 

3. If you would like to run scans in debug mode, select the checkbox for Enable Debug.

## Running a Scan
You can run an SCA scan of the project in your workspace by entering the Scan command in the Command Palette.

Alternatively, you can click on the Checkmarx icon in the Activity Bar to open the Checkmarx SCA window and then click on the Scan icon.

> **NOTE:** If you haven’t yet scanned the project, a Run Scan button is shown.